Subject: Re: sysctl variable to force IGMP version [PATCH]

From: "David S. Miller" <[email-masked]>
Date: Wed, 28 Jan 2004 12:00:03 -0800

On Tue, 27 Jan 2004 14:13:41 -0700
David Stevens <[email-masked]> wrote:

> Below is a patch that allows forcing of the IGMP version. The primary
> use would be with an IGMP-snooping switch that doesn't grok IGMPv3
> packet formats and when there are no IGMPv2 or IGMPv1 multicast
> routers on the network. By forcing the IGMP reports to version 2 (or
> version 1, for really old switches), Linux would send reports that the
> switch can understand for multicast forwarding to the port.

Perhaps some sanity to prevent values other than 1 or 2 from being
set?